<html>
<head>
	<title>Create Dailytask</title>
</head>
<body>
	<form method="post">
		<label>Title</label>
		<input type="text" name="title_dt" id="title_dt"/><br/>
		<label>Description</label>
		<input type="text" name="description_dt" id="description_dt" /><br/>
		<label>Type</label>
		<select name="type_dt" id="type_dt">
			<option value="Person">Person</option>
			<option value="Group">Group</option>
		</select><br/>
		<label>Person</label>
		<select name="person_dt" id="person_dt">
			<option value="201">Harlan</option>
			<option value="202">Noel</option>
		</select><br/>
		<label>Group</label>
		<select name="group_dt" id="group_dt">
			<option value="G001">Group 1</option>
			<option value="G002">Group 2</option>
		</select><br/>
		<label>Start Date</label>
		<input type="text" name="start_date_dt" id="start_date_dt" /><br/>
		<label>Dateline</label>
		<input type="text" name="dateline_dt" id="dateline_dt" /><br/>		
		<label>Status</label>
		<select name="status_dt" id="status_dt">
			<option value="To Do">To Do</option>
			<option value="On Going">On Going</option>
			<option value="Pending">Pending</option>
			<option value="Done">Done</option>
		</select><br/>
		
		<input type="button" value="submit" onclick="sendAsJson()" />
	</form>
	<script>
		async function sendAsJson() {
			let data = {};
			let keys = ['title_dt','description_dt','type_dt','person_dt','group_dt','start_date_dt','dateline_dt','status_dt']
			for(let k of keys) {
				data[k] = document.getElementById(k).value;
			}
			// data.start_date_dt = Date.parse(data.start_date_dt);
			// data.dateline_dt = Date.parse(data.dateline_dt);
			let res = await fetch('',{
				method:'POST',
				headers: {
					'content-type': 'application/json'
				},
				body: JSON.stringify(data)
			})
			res.json().then(data => {
				console.log(data);
			});
		}
	</script>
</body>
</html>
